Subject: Re: [PATCH net v4] net: ti: icssg-prueth: Fix 1 PPS sync

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Nov 2024 11:15:42 -0800

On Wed, 6 Nov 2024 12:53:14 +0530 Meghana Malladi wrote:
> +static inline __u64 icssg_readq(const void __iomem *addr)

two nit picks:
 - since the function is now fairly special purpose I think a name less
   generic than readq would be appropriate. Maybe icssg_read_time() ?
 - __u64 is for uAPI, to avoid type name conflicts, in the kernel
   please use u64 without the underscores
-- 
pw-bot: cr